Bug 578040 - lang-specific overrides rule doesn't work as expected
lang-specific overrides rule doesn't work as expected
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lohit-telugu-fonts (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On: 578015
Blocks: F13Target 586868
  Show dependency treegraph
 
Reported: 2010-03-29 23:50 EDT by Akira TAGOH
Modified: 2010-04-28 09:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: lohit-telugu-fonts-2.4.5-5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 586868 (view as bug list)
Environment:
Last Closed: 2010-04-25 10:01:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2010-03-29 23:50:14 EDT
Description of problem:
All of detailed information is available on my post at the fonts list:
http://lists.fedoraproject.org/pipermail/fonts/2010-March/001117.html

binding="same" in the fontconfig config file prevents to apply the rule for the
specific
language only properly. As a result, fonts is used for non-targetted languages
and it may gives different look and feel in some cases.

I'd propose to get rid of binding="same" from:
 66-lohit-telugu.conf
Comment 1 Fedora Update System 2010-04-19 05:04:40 EDT
lohit-telugu-fonts-2.4.5-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/lohit-telugu-fonts-2.4.5-5.fc13
Comment 2 Pravin Satpute 2010-04-19 05:10:06 EDT
fixed in lohit-telugu-fonts-2.4.5-5.fc14
Comment 3 Fedora Update System 2010-04-20 09:07:06 EDT
lohit-telugu-fonts-2.4.5-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lohit-telugu-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lohit-telugu-fonts-2.4.5-5.fc13
Comment 4 Akira TAGOH 2010-04-22 07:51:22 EDT
Testing result:
# rpm -q lohit-telugu-fonts
lohit-telugu-fonts-2.4.5-5.fc13.noarch
# fc-match monospace:lang=en
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=en-us
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=te
Lohit-Telugu.ttf: "Lohit Telugu" "Regular"
# fc-match monospace:lang=te-in
Lohit-Telugu.ttf: "Lohit Telugu" "Regular"
# fc-match serif:lang=en
DejaVuSerif.ttf: "DejaVu Serif" "Book"
# fc-match serif:lang=en-us
DejaVuSerif.ttf: "DejaVu Serif" "Book"
# fc-match serif:lang=te
Lohit-Telugu.ttf: "Lohit Telugu" "Regular"
# fc-match serif:lang=te-in
Lohit-Telugu.ttf: "Lohit Telugu" "Regular"

No explicit rules for monospace nor serif in lohit-telugu-fonts provided.

# fc-match sans:lang=en
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=en-us
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=te
Lohit-Telugu.ttf: "Lohit Telugu" "Regular"
# fc-match sans:lang=te-in
Lohit-Telugu.ttf: "Lohit Telugu" "Regular"

that looks good.

# for i in $(ls /usr/share/locale|grep -v -E "^te$"); do fc-match sans:lang=$i|grep "Lohit Telugu"; [ $? = 0 ] && echo $i; done
#

No affects to other languages. confirmed the updated package fixes this issue.
Comment 5 Fedora Update System 2010-04-25 10:01:13 EDT
lohit-telugu-fonts-2.4.5-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.